Developer forum
cancel
Showing results for 
Search instead for 
Did you mean: 

Python Version

poco2013
Advisor

Does anyone know if the hew release of Python 3.10 will run with the latest version of the Archicad Python API -- 25.3000. The new release is due out in October and i am particularly interested in using the new "match" feature.

 

I know i could just wait and try it out but I would not like to "junk" up my machine and have to install/uninstall the version.

Just Asking??

Gerry

Windows 10 - Visual Studio 2019; ArchiCAD 25
1 ACCEPTED SOLUTION

Solution
Tibor Lorantfy
Graphisoft
Graphisoft

We do not see any obstacles to the Archicad-Python connection working with the latest version of python. The requirements are still the same: Python 3.7 or later

Beta preview versions of Python 3.10 are already out, you can test it too: https://www.python.org/downloads/release/python-3100b4

View solution in original post

1 REPLY 1

Solution
Tibor Lorantfy
Graphisoft
Graphisoft

We do not see any obstacles to the Archicad-Python connection working with the latest version of python. The requirements are still the same: Python 3.7 or later

Beta preview versions of Python 3.10 are already out, you can test it too: https://www.python.org/downloads/release/python-3100b4

View solution in original post

Still looking?

Browse more topics

Back to forum

See latest solutions

Accepted solutions

Start a new discussion!